<template>
  <q-page class="q-gutter-y-md" style="background:#1d2023">
    <!-- Toolbar -->
    <q-toolbar class="bg-background-primary">
      <div class="q-gutter-x-md">
      </div>

      <q-space />

      <div class="q-gutter-x-md">
        <q-btn label="Help" color="accent" @click="app.showHelp(DocsProject)" />
      </div>
    </q-toolbar>

    <!-- Main Content -->
    <div class="main-content q-gutter-y-md">
      <q-card class="bg-background-primary">
        <q-card-section>
          <h2>Project Settings</h2>
        </q-card-section>
        <q-separator />
        <q-card-section>
          <q-form class="q-gutter-y-md">
            <p>These are general project settings. The name and description will be injected into the generated LibAuth Template.</p>
            <q-input label="Name" v-model="project.name" filled />
            <q-input label="Description" v-model="project.description" filled autogrow />
          </q-form>
        </q-card-section>
      </q-card>
    </div>
  </q-page>
</template>

<script setup lang="ts">
import { computed } from 'vue';

import { app } from '../boot/app.js';

import DocsProject from '../docs/project.md?raw';

//-----------------------------------------------------------------------------
// State
//-----------------------------------------------------------------------------

const project = computed(() => app.project.value);

//-----------------------------------------------------------------------------
// Methods
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Initialization/Bootstrap
//-----------------------------------------------------------------------------

</script>
